﻿/*body {
    padding-top: -5px;
    padding-bottom: 0px; 
}*/

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
/*input,
select,
textarea {
    max-width: 280px;
}*/

.input-validation-error, .required
{
    border-left:5px solid #ee0000 !important;
}
/*.valid
{
  border-left:5px solid #00aa00 !important;
}*/
.field-validation-error
{
   color:#990000;
}
/*To center vertically a div content*/
.divCenter { 
    height: 30px;
    line-height: 30px;
    text-align: left;
}
.report-viewer{
    min-height:650px !important;
    margin-top:1em !important;
}
.legend-invalid
{
    color: #fff;
    background-color: #990000;
}
.legend-duplicate
{
    color: #fff;
    background-color: #ffd800;
}
.legend-valid
{
    color: #fff;
    background-color: darkgreen;
}
.p1,p{text-align:justify;}
.font-1-2 {
    font-size: 1.2em !important;
    font-weight: bolder;
}
.feca-hidden {
    display: none;
    visibility: hidden;
}
.row {
    margin-bottom: 0.10rem !important;/*Reboot bs5 row class*/
}
.feca-bs-iw-3 {
    font-size: 3rem; /*1rem=16px*/
}
.feca-bs-iw-2 {
    font-size: 2rem; /*1rem=16px*/
}
/*.bd-callout {
    padding: 1.25rem;
    margin-top: 1.25rem;
    margin-bottom: 1.25rem;
    border: 1px solid #eee;
    border-left-width: .25rem;
    border-radius: .25rem;
}*/
.bd-callout {
    padding: 0.25rem;
    margin-top: 0.25rem;
    margin-bottom: 0.25rem;
    border: 1px solid #eee;
    border-left-width: .25rem;
    border-radius: .25rem;
}

    .bd-callout h4 {
        margin-top: 0;
        margin-bottom: .25rem;
    }

    .bd-callout p:last-child {
        margin-bottom: 0;
    }

    .bd-callout code {
        border-radius: .25rem;
    }

    .bd-callout + .bd-callout {
        margin-top: -.25rem;
    }
    
    /*
.bd-callout-info {
    border-left-color: #5bc0de;
}

    .bd-callout-info h4, .bd-callout-info h5, .bd-callout-info h6 {
        color: #5bc0de;
    }

.bd-callout-warning {
    border-left-color: #f0ad4e;
}

    .bd-callout-warning h4, .bd-callout-warning h5, .bd-callout-warning h6 {
        color: #f0ad4e;
    }

.bd-callout-danger {
    border-left-color: #d9534f;
}

    .bd-callout-danger h4, .bd-callout-danger h5, .bd-callout-danger h6 {
        color: #d9534f;
    }
*/

/*
     
  --bs-primary-text-emphasis: #052c65;
  --bs-secondary-text-emphasis: #2b2f32;
  --bs-success-text-emphasis: #0a3622;
  --bs-info-text-emphasis: #055160;
  --bs-warning-text-emphasis: #664d03;
  --bs-danger-text-emphasis: #58151c;
  --bs-light-text-emphasis: #495057;
  --bs-dark-text-emphasis: #495057;

*/

.bd-callout-primary {
    border-left-color: #052c65;
}
    .bd-callout-primary h4, .bd-callout-primary h5, .bd-callout-primary h6 {
        color: #052c65;
    }
.bd-callout-secondary {
    border-left-color: #2b2f32;
}
    .bd-callout-secondary h4, .bd-callout-secondary h5, .bd-callout-secondary h6 {
        color: #2b2f32;
    }
.bd-callout-success {
    border-left-color: #0a3622;
}
.bd-callout-success h4, .bd-callout-success h5, .bd-callout-success h6 {
        color: #0a3622;
    }
.bd-callout-info {
    border-left-color: #055160;
}
.bd-callout-info h4, .bd-callout-info h5, .bd-callout-info h6 {
        color: #055160;
    }
.bd-callout-warning {
    border-left-color: #664d03;
}
    .bd-callout-warning h4, .bd-callout-warning h5, .bd-callout-warning h6 {
        color: #664d03;
    }
.bd-callout-danger {
    border-left-color: #58151c;
}
    .bd-callout-danger h4, .bd-callout-danger h5, .bd-callout-danger h6 {
        color: #58151c;
    }
.bd-callout-light {
    border-left-color: #495057;
}

    .bd-callout-light h4, .bd-callout-light h5, .bd-callout-light h6 {
        color: #495057;
    }
.bd-callout-dark {
    border-left-color: #495057;
}

    .bd-callout-dark h4, .bd-callout-dark h5, .bd-callout-dark h6 {
        color: #495057;
    }
